/******************************************************************************/
/*                Timer1 en temporisateur programmable, sans IT               */
/*                            pour tempos longues                             */
/******************************************************************************/
// ATMega164p
// le 28 11 08
// Config pour tempos longues. Avec quartz 7.3728MHz :
// consigne = OCR1A = (duree(S)*7.3728)/1024 avec OCR1A maxi:65535
// soit dure maxi 9 100 000 S

#include "ATmega164_VMG.h"

#ifndef TRUE
#define TRUE        1
#endif
#ifndef FALSE
#define FALSE       0
#endif

// Init Timer1 en mode comparaison sur voie A pour tempo sans IT
// -------------------------------------------------------------
void Init_Tempo_T1_comp (void)
     {
     TCCR1B = (1<<CS12)+(1<<CS10);      // prediv 1024
     TCCR1A = 0;
     }

// Lancement Timer1 mode comparaison, tempo sans IT, dure en paramtre
// --------------------------------------------------------------------
void Start_Tempo_T1_comp (unsigned long int duree)
     {
     int consigne;
     consigne = (int)((7.3726*duree)/1024);
     OCR1A = consigne;
     TCNT1 = 0;                 // Comptage  partir de 0
     TIFR1 = (1<<OCF1A);  	// RaZ OCF1A (en crivant un '1')
     }

// Test fin de tempo Timer1
// ------------------------
char Test_Tempo_T1_comp (void)
     {
     if (!(TIFR1 & (1<<OCF1A)))    return (FALSE);
     else                          return (TRUE);
     }


